<cfcomponent displayname="flight" hint="This component contains the functions that handles the Flex data requirements" output="false">
	<cffunction name="getFlightDetails" displayname="getFlightDetails" hint="This function cfhttp's a page and scapes out the data for an flight's details" access="remote" output="false" returntype="String">
		<cfargument name="flightnumber" type="string" required="true">
			<cfsetting 	enableCFoutputOnly="yes" showDebugOutput="no">
			<cftry>
				<cfhttp url="http://flightaware.com/live/flight/#arguments.flightnumber#" method="GET" resolveurl="Yes"/>
			<cfcatch type="Any">
				<cfscript>
					data = "GoFly couldn't find Flight " & arguments.flightnumber & " just yet.";
				</cfscript>
				<cfthrow message="getFlightDetails Error: #cfcatch.message# #cfcatch.detail#">
				<cflog log="getFlightDetails" application="false" text="#cfcatch.message# #cfcatch.detail#">
			</cfcatch>
			</cftry>
			<!--- two second delay to allow cfhttp to complete --->
			<cfset createObject("java", "java.lang.Thread").sleep(JavaCast("int", 2000))>
			<cftry>
				<cfscript>
					searchforstart = '<div id="BodyNav">';
					searchforend = '<td colspan="2" class="midAd">';
					charsbefore = #Find(searchforstart,  cfhttp.fileContent ,  1)#;
					tmpdisplaythis = #RemoveChars(cfhttp.fileContent, 1, (charsbefore-1))#;
					charsafter = #Find(searchforend,  tmpdisplaythis ,  1)#;
					data = #RemoveChars(tmpdisplaythis, charsafter, len(tmpdisplaythis) - len(charsafter))#;
					data = "<div align='left'>" & data & "</div>";
				</cfscript>
			<cfcatch type="Any">
				<cfscript>
					data = "GoFly couldn't find Flight " & arguments.flightnumber & " just yet.";
				</cfscript>
				<cfthrow message="getFlightDetails Error: #cfcatch.message# #cfcatch.detail#">
				<cflog log="getFlightDetails" application="false" text="#cfcatch.message# #cfcatch.detail#">
			</cfcatch>
			</cftry>
			
		<cfreturn data/>
	</cffunction>
</cfcomponent>